<div class="reset-password">
  <!-- Barre de navigation -->
  <nav class="navbar navbar-default navbar-fixed-top">
    <div class="container-fluid">
      <div class="navbar-header">
        <a routerLink="/home" routerLinkActive="active" class="navbar-brand"><img src="assets/img/logo-lvlup.png" alt="Lvl up"></a>
      </div>
    </div>
  </nav>

  <header>
    <div [ngClass]="'alert-' + notification.type + '-header'" id="alert-header" [hidden]="notification.hidden">
      <div class="alert alert-dismissible fade in" [ngClass]="'alert-' + notification.type" id="alert-content">
        <button type="button" class="close" id="modalClosed" (click)="closeNotification()">&times;</button>
        {{notification.content}}
      </div>
    </div>
  </header>
  <div class="container text-center">
    <h1>Réinitialiser mot de passe</h1>
    <div class="row content">
      <form role="form" (ngSubmit)="setPassword()" #setPasswordForm="ngForm">
        <div class="row">
          <div class="form-group col-md-offset-3 col-md-6">
            <label for="newPassword">Nouveau mot de passe</label>
            <input id="newPassword" name="newPassword" [(ngModel)]="this.password" #newPassword="ngModel"
                   [ngClass]="{ 'is-invalid': newPassword.invalid && (newPassword.dirty || newPassword.touched), 'is-valid': newPassword.valid && (newPassword.dirty || newPassword.touched) }"
                   required pattern="^(?:(?=.*\d)(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[^A-Za-z0-9])(?=.*[a-z])|(?=.*[^A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z])|(?=.*\d)(?=.*[A-Z])(?=.*[^A-Za-z0-9]))(?!.*(.)\1{2,})[A-Za-z0-9!~<>,;:_=?*+#.\x22&§%°()|\[\]\-$^@/]{8,32}$" type="password" class="form-control">
            <div *ngIf="newPassword.invalid && (newPassword.dirty || newPassword.touched)" class="invalid-feedback">
              <div *ngIf="newPassword.errors?.['required']">Veuillez saisir un nouveau mot de passe.</div>
              <div *ngIf="newPassword.errors?.['pattern']">Votre mot de passe doit faire entre 8 et 32 caractères avec au moins une majuscule et un caractère spécial.</div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-offset-3 col-md-6">
            <label for="confirmPassword">Confirmer mot de passe</label>
            <input id="confirmPassword" name="confirmPassword" [(ngModel)]="this.confirmPassword" #confirmPasswordModel="ngModel"
                   [ngClass]="{ 'is-invalid': confirmPasswordModel.invalid && (confirmPasswordModel.dirty || confirmPasswordModel.touched), 'is-valid': confirmPasswordModel.valid && (confirmPasswordModel.dirty || confirmPasswordModel.touched) }"
                   required appSamePasswordValidator type="password" class="form-control">
            <div *ngIf="confirmPasswordModel.invalid && (confirmPasswordModel.dirty || confirmPasswordModel.touched)" class="invalid-feedback">
              <div *ngIf="confirmPasswordModel.errors?.['required']">Veuillez confirmer votre mot de passe.</div>
              <div *ngIf="confirmPasswordModel.errors?.['notSame']">Veuillez saisir le même mot de passe.</div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-offset-4 col-md-4">
            <button type="submit" class="btn btn-block" [disabled]="setPasswordForm.invalid">Réinitialiser</button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
